de.esprit.appsuite.database.dbase.rdbms

## Class RdbmsDB2NT

- java.lang.Object
- - de.esprit.appsuite.database.dbase.rdbms.RdbmsSupport
  - - de.esprit.appsuite.database.dbase.rdbms.RdbmsDB2NT

-     public class RdbmsDB2NT
      extends RdbmsSupport

  This class provides support for the Cloudscape (DB2J) RDBMS.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.rdbms.RdbmsSupport

      `RDBMS_ACCESS, RDBMS_CLOUDSCAPE, RDBMS_DB2NT, RDBMS_DERBY, RDBMS_INFORMIX, RDBMS_MYSQL, RDBMS_ORACLE, RDBMS_POINTBASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RdbmsDB2NT(javax.sql.DataSource cp, java.sql.Connection dbConn, RdbmsInfo dbi)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `createAddForeignKeyStatement(java.lang.String sourceTable, java.lang.String sourceCols, java.lang.String targetTable, java.lang.String targetCols, java.lang.String constrName)` This default implementation is valid for most RDBMS systems.
    `java.lang.String` | `getBlobDef()`
    `java.lang.String` | `getBooleanDef()`
    `java.lang.String` | `getCharDef(int length)`
    `java.lang.String` | `getClobDef()`
    `java.lang.String` | `getDateDef()`
    `java.lang.String` | `getDoubleDef()`
    `java.sql.Blob` | `getEmptyBlob()` Most RDBMS systems need 'null', but Informix needs and empty Blob Object
    `java.sql.Clob` | `getEmptyClob()` Most RDBMS systems need 'null', but Informix needs and empty Clob Object
    `java.lang.String` | `getFloatDef()`
    `java.lang.String` | `getIntDef()`
    `java.lang.String` | `getLongDef()`
    `java.lang.String` | `getLongVarcharDef()`
    `java.lang.String` | `getTimeDef()`
    `java.lang.String` | `getTimestampDef()`
    `java.lang.String` | `getVarcharDef()`
    `java.lang.String` | `getVarcharDef(int length)`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.rdbms.RdbmsSupport

      `createRdbmsSupport, getDataSource, getDBSupport, getInstance, getRdbmsInfo, getSupportedRdbmsTypes, init, isSupportedRdbmsType, toString, updateStatisticsAll, updateStatisticsFor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RdbmsDB2NT

          public RdbmsDB2NT(javax.sql.DataSource cp,
                    java.sql.Connection dbConn,
                    RdbmsInfo dbi)
                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### createAddForeignKeyStatement

          public java.lang.String createAddForeignKeyStatement(java.lang.String sourceTable,
                                                      java.lang.String sourceCols,
                                                      java.lang.String targetTable,
                                                      java.lang.String targetCols,
                                                      java.lang.String constrName)

      Description copied from class: `RdbmsSupport`
      This default implementation is valid for most RDBMS systems. There are few exceptions like INFORMIX and DB2 which have overridden this method
      Overrides:
        `createAddForeignKeyStatement` in class `RdbmsSupport`
      Returns:
        SQL Statement for creating a foreign key

    - #### getEmptyBlob

          public java.sql.Blob getEmptyBlob()

      Most RDBMS systems need 'null', but Informix needs and empty Blob Object
      Overrides:
        `getEmptyBlob` in class `RdbmsSupport`

    - #### getEmptyClob

          public java.sql.Clob getEmptyClob()

      Most RDBMS systems need 'null', but Informix needs and empty Clob Object
      Overrides:
        `getEmptyClob` in class `RdbmsSupport`

    - #### getBooleanDef

          public java.lang.String getBooleanDef()

      Specified by:
        `getBooleanDef` in class `RdbmsSupport`

    - #### getCharDef

          public java.lang.String getCharDef(int length)

      Specified by:
        `getCharDef` in class `RdbmsSupport`

    - #### getIntDef

          public java.lang.String getIntDef()

      Specified by:
        `getIntDef` in class `RdbmsSupport`

    - #### getLongDef

          public java.lang.String getLongDef()

      Specified by:
        `getLongDef` in class `RdbmsSupport`

    - #### getFloatDef

          public java.lang.String getFloatDef()

      Specified by:
        `getFloatDef` in class `RdbmsSupport`

    - #### getDoubleDef

          public java.lang.String getDoubleDef()

      Specified by:
        `getDoubleDef` in class `RdbmsSupport`

    - #### getDateDef

          public java.lang.String getDateDef()

      Specified by:
        `getDateDef` in class `RdbmsSupport`

    - #### getTimeDef

          public java.lang.String getTimeDef()

      Specified by:
        `getTimeDef` in class `RdbmsSupport`

    - #### getTimestampDef

          public java.lang.String getTimestampDef()

      Specified by:
        `getTimestampDef` in class `RdbmsSupport`

    - #### getVarcharDef

          public java.lang.String getVarcharDef()

      Specified by:
        `getVarcharDef` in class `RdbmsSupport`

    - #### getVarcharDef

          public java.lang.String getVarcharDef(int length)

      Specified by:
        `getVarcharDef` in class `RdbmsSupport`

    - #### getLongVarcharDef

          public java.lang.String getLongVarcharDef()

      Specified by:
        `getLongVarcharDef` in class `RdbmsSupport`

    - #### getClobDef

          public java.lang.String getClobDef()

      Specified by:
        `getClobDef` in class `RdbmsSupport`

    - #### getBlobDef

          public java.lang.String getBlobDef()

      Specified by:
        `getBlobDef` in class `RdbmsSupport`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.